> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/rate-limit.md).

# rate-limit

Get API rate limit usage information.

### Request

#### Method:

`GET ./api/v2/rate-limit`

#### Parameters:

<table><thead><tr><th width="179.32569366693275">Parameter</th><th width="211.23125339579434">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>-</code></td><td>-</td><td>-</td></tr></tbody></table>

#### Request example:

{% tabs %}
{% tab title="HTTP" %}

```bash
curl --header "Authorization: $AUTH_HEADER" \
'https://ny.solana.dex.blxrbdn.com/api/v2/rate-limit'
```

{% endtab %}
{% endtabs %}

### Response:

#### Fields:

<table><thead><tr><th width="206.12060301507535">Fields</th><th width="155.02020202020208">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>accountID</code></td><td>string</td><td>Your bloXroute account ID</td></tr><tr><td><code>tier</code></td><td>string</td><td>Your current account tier.</td></tr><tr><td><code>interval</code></td><td>string</td><td>Rate limit interval.</td></tr><tr><td><code>intervalNum</code></td><td>unit64</td><td>Rate limit interval multiplier. <em>*If the <code>interval</code> is sec and <code>intervalNum</code> is 60, which means the rate limit refreshes every 60 seconds.</em></td></tr><tr><td><code>limit</code></td><td>unit64</td><td>This is your current rate limit which is based on your account tier.</td></tr><tr><td><code>count</code></td><td>unit64</td><td>This is your current rate limit usage. If the <code>count</code> is higher than the <code>limit</code>, you will be limited.</td></tr><tr><td><code>reset</code></td><td>unit64</td><td>Timestamp when the rate limite gets reset.</td></tr></tbody></table>

#### Response Example:

{% tabs %}
{% tab title="JSON" %}

```json
{
  "accountID":"555399c7-...56", 
  "tier":"Introductory", 
  "interval":"second", 
  "intervalNum":"60", 
  "limit":"60", 
  "count":"50", 
  "reset":"1708635900"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/rate-limit.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
